summaryrefslogtreecommitdiff
path: root/qa/441
diff options
context:
space:
mode:
Diffstat (limited to 'qa/441')
-rwxr-xr-xqa/44153
1 files changed, 53 insertions, 0 deletions
diff --git a/qa/441 b/qa/441
new file mode 100755
index 0000000..b9dfefa
--- /dev/null
+++ b/qa/441
@@ -0,0 +1,53 @@
+#!/bin/sh
+# PCP QA Test No. 441
+# check 2^31 volume switching for pmlogger
+#
+# Copyright (c) 2011 Ken McDonell. All Rights Reserved.
+# Copyright (c) 2012 Red Hat.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+status=0 # success is the default!
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+rm -f $seq.full
+./src/mkbig1 > $seq.full 2>&1
+[ $? -eq 0 ] || _notrun `cat $seq.full`
+
+# expect 2 volumes, and both < 2^31 bytes in size
+#
+limit=2147483648
+nvol=`ls src/big1.? | wc -l | sed -e 's/ //g'`
+if [ $nvol -ne 2 ]
+then
+ ls -l src/big1.?
+ echo "Error: expecting 2 volumes, found $nvol"
+ status=1
+fi
+
+for vol in src/big1.?
+do
+ size=`_filesize $vol`
+ if [ -z "$size" ]
+ then
+ stat $vol
+ echo "Error: cannot extract size for volume $vol"
+ status=1
+ elif [ "$size" -ge $limit ]
+ then
+ ls -l $vol
+ echo "Error: size ($size) exceeds limit ($limit)"
+ status=1
+ fi
+done
+
+# success, all done
+exit